Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008373 [DCSS] Patches text always 2014-04-12 18:18 2014-04-14 09:39
Reporter Miron View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.14 ancient branch
Summary 0008373: Corrected commented default of show_inventory_weights.
Description Changed value from default of false to the non-default value of true so that uncommenting the line will toggle the functionality.
Additional Information
Tags No tags attached.
Attached Files ? file icon show_inventory_weights.patch [^] (965 bytes) 2014-04-12 18:18 [Show Content]
? file icon show_inventory_weights_1.patch [^] (1,018 bytes) 2014-04-12 21:16 [Show Content]
? file icon show_inventory_weights_2.patch [^] (1,898 bytes) 2014-04-13 01:02 [Show Content]

- Relationships

-  Notes
(0025823)
neil (administrator)
2014-04-12 19:00

Note that the default is not false; it is "sometimes", which shows the weights on the drop and pickup menus but not other inventory menus. For consistency with similar options, perhaps it should be:
# show_inventory_weights = ( yes | no | sometimes )


("sometimes" could be "pickup-drop" or anything other than "yes", "no", "true", "false")
(0025824)
Miron (reporter)
2014-04-12 19:11

Didn't realize there were options. I'll review and resubmit an updated patch.
(0025826)
Miron (reporter)
2014-04-13 01:03

See the latest patch, _2. I updated init.txt and options_guide.txt to be consistent and use "drop_pickup" as the default so that users just reading init.txt get a better idea how the setting works.
(0025832)
neil (administrator)
2014-04-14 09:39

Applied in trunk (0.15-a0-149-ga73ea9e) and stable (0.14.0-12-g87ee3b7), thanks!

- Issue History
Date Modified Username Field Change
2014-04-12 18:18 Miron New Issue
2014-04-12 18:18 Miron File Added: show_inventory_weights.patch
2014-04-12 18:19 Miron Issue Monitored: Miron
2014-04-12 19:00 neil Note Added: 0025823
2014-04-12 19:11 Miron Note Added: 0025824
2014-04-12 21:16 Miron File Added: show_inventory_weights_1.patch
2014-04-13 01:02 Miron File Added: show_inventory_weights_2.patch
2014-04-13 01:03 Miron Note Added: 0025826
2014-04-13 06:20 MarvinPA Issue Monitored: MarvinPA
2014-04-14 09:39 neil Note Added: 0025832
2014-04-14 09:39 neil Status new => resolved
2014-04-14 09:39 neil Fixed in Branch => 0.14 development branch
2014-04-14 09:39 neil Resolution open => done
2014-04-14 09:39 neil Assigned To => neil
2014-04-14 09:45 MarvinPA Issue End Monitor: MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker